#!/bin/bash

if [ "$1" == "" ]; then
 echo "DSP profile file or URL needed"
 exit 1
fi
if [ -f $1 ]; then
 echo "Using DSP file $1"
else
 echo "Trying to download DSP file $1 from downloads.hifiberry.com"
 wget http://downloads.hifiberry.com/beocreate/profiles/$1 
 if [ "$?" != "0" ]; then
  echo "Could not download http://downloads.hifiberry.com/beocreate/profiles/$1"
  echo "Check http://downloads.hifiberry.com/beocreate/profiles for available profiles"
  exit 1
 fi
fi

if [ ! -f $1 ]; then 
 echo "Can't find profile file $1"
 exit 1
fi 


echo "Writing configuration to the DSP"
/usr/local/bin/dsptoolkit install-profile $1

# Mute
#gpio mode 2 out
#gpio write 2 1
#/usr/local/bin/beocreate-client 127.0.0.1 write_eeprom `readlink -f $1`
# Unmute
#gpio write 2 0
#gpio mode 2 in